Package org.eclipse.lemminx.commons.progress

## Class ProgressMonitor

- java.lang.Object
- - org.eclipse.lemminx.commons.progress.ProgressMonitor

All Implemented Interfaces:
  `org.eclipse.lsp4j.jsonrpc.CancelChecker`

    public class ProgressMonitor
    extends Object
    implements org.eclipse.lsp4j.jsonrpc.CancelChecker

Progress monitor which wraps the LSP progress API to simplify the implementation of progress.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`ProgressMonitor​(String progressId, ProgressSupport progressSupport)`
`ProgressMonitor​(ProgressSupport progressSupport)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `begin​(String title, String message, Integer percentage, Boolean cancellable)`
`void` `checkCanceled()`
`void` `end​(String message)`
`boolean` `isCanceled()`
`void` `report​(String message, Integer percentage, Boolean cancellable)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProgressMonitor

    public ProgressMonitor​(ProgressSupport progressSupport)

#### ProgressMonitor

    public ProgressMonitor​(String progressId,
                           ProgressSupport progressSupport)

### Method Detail

#### begin

    public void begin​(String title,
                      String message,
                      Integer percentage,
                      Boolean cancellable)

#### report

    public void report​(String message,
                       Integer percentage,
                       Boolean cancellable)

#### end

    public void end​(String message)

#### checkCanceled

    public void checkCanceled()

Specified by:
  `checkCanceled` in interface `org.eclipse.lsp4j.jsonrpc.CancelChecker`

#### isCanceled

    public boolean isCanceled()

Specified by:
  `isCanceled` in interface `org.eclipse.lsp4j.jsonrpc.CancelChecker`